import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

public class FSCO1a
{
	
public static double ikiyebolme(double a,double b)
{
//fonksiyon tanımı
f2D f=new f2D();
//bir önceki problemdeki metodu çağırma
return FSCO1.ikiyebolme(f,a,b);
}

     public static void main (String args[])  
     { 
     String s=JOptionPane.showInputDialog(" GİRDİ FONKSİYONU f(x): ");
     double a,b;
     a=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz a : "));
     b=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz b : "));
     double r;

     r= ikiyebolme(a,b);
     f2D f=new f2D();
     JOptionPane.showMessageDialog(null," kök değeri  : "+r+"\nFonksiyon değeri : "+f.func(r),
     "ikiye bölme yöntemiyle kök hesabı : ",JOptionPane.PLAIN_MESSAGE);
     System.exit(0);
     } 
}